> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# getTaskLabels

> Get all labels assigned to a specific task



## OpenAPI

````yaml GET /label/task/{taskId}
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /label/task/{taskId}:
    get:
      tags:
        - Labels
      summary: Get Task Labels
      description: Get all labels assigned to a specific task
      operationId: getTaskLabels
      parameters:
        - in: path
          name: taskId
          schema:
            type: string
          required: true
      responses:
        '200':
          description: List of labels for the task
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    name:
                      type: string
                    color:
                      type: string
                    createdAt:
                      type: string
                      format: date-time
                    taskId:
                      type: string
                      nullable: true
                    workspaceId:
                      type: string
                      nullable: true
                  required:
                    - id
                    - name
                    - color
                    - createdAt
                    - taskId
                    - workspaceId
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````